#ifndef _TREE_H
#define _TREE_H

typedef struct TreeNode {
	char *text;
	int count;
	struct TreeNode *left;
	struct TreeNode *right;
	} TreeNode;

typedef struct {
	TreeNode *root;
	int count;
	} Tree;

void TreeInitialize(Tree*);
void TreeInsert(Tree*, char*);
void TreeDelete(Tree*);
void TreePrint(Tree*);
char** TreeToArray(Tree*, int);

#endif
